<!DOCTYPE html>
<html>

<head>
    <title>Lucky Dice Casino</title>

</head>

<body>
    <img id="img-wellcome" src="images/people-playing-casino.jpg" width="600px;">
    <h1 id="h1-chao-mung" style="color:green">Chào mừng đến với My Lucky Dice</h1>
    <br>
    <img id="img-new-dice" style="width:120px" src="images/dice.png" alt="">
    <br>
    <button id="btn-submit" onclick="onGetDiceClick();"
        style="width: 100px; height: 50px; border: 10x solid #999;border-radius: 10px;background-color: green; color:white">
        Ném
    </button>

    <br>
    <h2 id="h2-showMsg" style="visibility: hidden; color: blue;"> ...</h2>
    <!-- <h2 id="h2-showMsg" style="display: none; color: blue;"> ...</h2> -->
    <script>
        function onGetDiceClick() {
            console.log("Tung xúc xắc");
            let vDiceImg = document.getElementById("img-new-dice");
            let vDiceMsg = document.getElementById("h2-showMsg");
            let vDice = getRandomNumber();
            if (vDice === 1) {
                vDiceImg.src = "images/1.png";
                vDiceMsg.innerHTML = "Cảm ơn bạn. Hãy cố gắng lần sau!";
                vDiceMsg.style.visibility = "visible";
                vDiceMsg.style.color = "orange";
            } else if (vDice === 2) {
                vDiceImg.src = "images/2.png";
                vDiceMsg.innerHTML = "Cảm ơn bạn. Hãy cố gắng lần sau!";
                vDiceMsg.style.visibility = "visible";
                vDiceMsg.style.color = "orange";
            } else if (vDice === 3) {
                vDiceImg.src = "images/3.png";
                vDiceMsg.innerHTML = "Cảm ơn bạn. Hãy cố gắng lần sau!";
                vDiceMsg.style.visibility = "visible";
                vDiceMsg.style.color = "orange";
            } else if (vDice === 4) {
                vDiceImg.src = "images/4.png";
                vDiceMsg.innerHTML = "Chúc mừng bạn. Hãy chơi ván nữa!";
                vDiceMsg.style.visibility = "visible";
                vDiceMsg.style.color = "purple";
            } else if (vDice === 5) {
                vDiceImg.src = "images/5.png";
                vDiceMsg.innerHTML = "Chúc mừng bạn. Hãy chơi ván nữa!";
                vDiceMsg.style.visibility = "visible";
                vDiceMsg.style.color = "purple";
            } else if (vDice === 6) {
                vDiceImg.src = "images/6.png";
                vDiceMsg.innerHTML = "Chúc mừng bạn. Hãy chơi ván nữa!";
                vDiceMsg.style.visibility = "visible";
                vDiceMsg.style.color = "purple";
            }
        }

        function getRandomNumber() {
            let vNumber = Math.floor(Math.random() * 6 + 1);
            return vNumber;
        }

        for (i = 100; i <= 100 && i >= 0; i -= 5) {
            console.log(i);
            // if (i == 0) {
            //     break;
            // }
        }
        //debugger
        // Setup
        const contacts = [
            {
                firstName: "Akira",
                lastName: "Laine",
                number: "0543236543",
                likes: ["Pizza", "Coding", "Brownie Points"],
            },
            {
                firstName: "Harry",
                lastName: "Potter",
                number: "0994372684",
                likes: ["Hogwarts", "Magic", "Hagrid"],
            },
            {
                firstName: "Sherlock",
                lastName: "Holmes",
                number: "0487345643",
                likes: ["Intriguing Cases", "Violin"],
            },
            {
                firstName: "Kristian",
                lastName: "Vos",
                number: "unknown",
                likes: ["JavaScript", "Gaming", "Foxes"],
            },
        ];

        //debugger;
        function lookUpProfile(name, prop) {
            // Only change code below this line
            for (let i = 0; i < contacts.length; i++) {
                const contact = contacts[i];
                if (contacts[i].firstName === name && contacts[i].hasOwnProperty(prop)) {
                    return contacts[i][prop];
                } else if (contacts[i].firstName === name && contacts[i].hasOwnProperty(prop) !== true) {
                    return "No such property";
                }
            }
            return "No such contact";

            // Only change code above this line
        }

        console.log(lookUpProfile("Akira", "like"));

    </script>


</body>

</html>